Subject: bug#15552: 24.3.50; epa-file-cache-passphrase-for-symmetric-encryption not respected with GnuPG 2.x

From: Stefan Monnier <[email-masked]>
Date: Thu, 10 Oct 2013 10:31:02 -0400

>>> The docstring should prominently say that this var doesn't work with
>>> gpg2 because gpg2 does not let Emacs cache the passphrase (IIUC we
>>> can't make this var effective without changes in gpg2).
DU> OK, I'll add it, though I'd also like to add a note saying that setting
DU> this variable for gpg2 is kind of nonsense.
> As the user, I want a single setting across all my systems, so I don't
> know in advance if gpg1, gpg2, or both will be installed.  I could add
> an explicit version check in my init file, but maybe epg.el could issue
> a warning if it detects that situation, just to be helpful?

IIUC, for gpg2 this var has no effect whatsoever, so if you want
password caching you need to setup gpg-agent: nothing Emacs can do
about it.

So the "single setting" is: set this var (for those systems that use
gpg1) and setup gpg-agent (on those systems that have gpg2).

        Stefan